Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class Search

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.Search

All Implemented Interfaces:
  org.esupportail.portal.utils.channels.ISubChannel, org.jasig.portal.ICacheable

    public class Search

extends org.esupportail.portal.utils.channels.SubChannel

Search
Cette classe prend en charge le moteur de recherche
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`Search(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `custominit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche suivant des critères Override SubChannel.init() method
`java.lang.Boolean` | `displayinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Affiche le formulaire de recherche Override SubChannel.init() method
`java.lang.Boolean` | `displayxml()` Etape 3/4 du cycle de vie de la SubChannel Affiche le formulaire de recherche Override SubChannel.setXML() method
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Affiche les résultats d'une recherche Override SubChannel.init() method
`java.lang.Boolean` | `initialize(org.jasig.portal.ChannelRuntimeData rd)` Implémente un comportement par défaut pour le moteur de recherche
`java.lang.Boolean` | `invalidinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche de documents invalides Override SubChannel.init() method
`java.lang.Boolean` | `lastinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche des derniers documents déposés Override SubChannel.init() method
`java.lang.Boolean` | `perimedinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche de documents périmés Override SubChannel.init() method
`void` | `searchoutput()` Etape 4/4 du cycle de vie de la SubChannel Choix de la feuille de style fichier/lien Override SubChannel.setOutput() method
`java.lang.Boolean` | `setXML()` Etape 3/4 du cycle de vie de la SubChannel Affiche les résultats d'une recherche Override SubChannel.setXML() method

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getMediaPathMAG, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, logXslParameters, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Search

    public Search(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

  Parameters:
    `mainChannel` - La channel principale

Method Detail

### initialize

    public java.lang.Boolean initialize(org.jasig.portal.ChannelRuntimeData rd)
                                 throws org.jasig.portal.PortalException,
                                        org.esupportail.portal.utils.channels.FrameWorkException

  Implémente un comportement par défaut pour le moteur de recherche

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si l'utilisateur peut accéder au moteur de recherche, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Affiche les résultats d'une recherche Override SubChannel.init() method

  Specified by:
    `init` in interface `org.esupportail.portal.utils.channels.ISubChannel`
  Overrides:
    `init` in class `org.esupportail.portal.utils.channels.SubChannel`
  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setXML

    public java.lang.Boolean setXML()
                             throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 3/4 du cycle de vie de la SubChannel Affiche les résultats d'une recherche Override SubChannel.setXML() method

  Specified by:
    `setXML` in interface `org.esupportail.portal.utils.channels.ISubChannel`
  Overrides:
    `setXML` in class `org.esupportail.portal.utils.channels.SubChannel`
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### searchoutput

    public void searchoutput()
                      throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 4/4 du cycle de vie de la SubChannel Choix de la feuille de style fichier/lien Override SubChannel.setOutput() method

  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### displayinit

    public java.lang.Boolean displayinit(org.jasig.portal.ChannelRuntimeData rd)
                                  throws org.jasig.portal.PortalException,
                                         org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Affiche le formulaire de recherche Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### displayxml

    public java.lang.Boolean displayxml()
                                 throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 3/4 du cycle de vie de la SubChannel Affiche le formulaire de recherche Override SubChannel.setXML() method

  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### invalidinit

    public java.lang.Boolean invalidinit(org.jasig.portal.ChannelRuntimeData rd)
                                  throws org.jasig.portal.PortalException,
                                         org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche de documents invalides Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### perimedinit

    public java.lang.Boolean perimedinit(org.jasig.portal.ChannelRuntimeData rd)
                                  throws org.jasig.portal.PortalException,
                                         org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche de documents périmés Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### lastinit

    public java.lang.Boolean lastinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche des derniers documents déposés Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### custominit

    public java.lang.Boolean custominit(org.jasig.portal.ChannelRuntimeData rd)
                                 throws org.jasig.portal.PortalException,
                                        org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Effectue la recherche suivant des critères Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD